From 25ddb143ac5f372d087fc0947330d19797ebd7b6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 20 2020 04:09:57 +0000
Subject: [PATCH 1465/2232] Merge pull request #492 from dtolnay/enumdup


Remove check for duplicated discriminants
---

diff --git a/syntax/discriminant.rs b/syntax/discriminant.rs
index 6a04d88..5e39f63 100644
--- a/syntax/discriminant.rs
+++ b/syntax/discriminant.rs
@@ -133,13 +133,9 @@ fn insert(set: &mut DiscriminantSet, discriminant: Discriminant) -> Result<Discr
             }
         }
     }
-    if set.values.insert(discriminant) {
-        set.previous = Some(discriminant);
-        Ok(discriminant)
-    } else {
-        let msg = format!("discriminant value `{}` already exists", discriminant);
-        Err(Error::new(Span::call_site(), msg))
-    }
+    set.values.insert(discriminant);
+    set.previous = Some(discriminant);
+    Ok(discriminant)
 }
 
 impl Discriminant {
